io.undertow.websockets.core.protocol.version13

## Class Hybi13Handshake

- java.lang.Object
- - io.undertow.websockets.core.protocol.Handshake
  - - io.undertow.websockets.core.protocol.version07.Hybi07Handshake
    - - io.undertow.websockets.core.protocol.version13.Hybi13Handshake

    public class Hybi13Handshake
    extends Hybi07Handshake

The handshaking protocol implementation for Hybi-13.

Author:
  Mike Brock, Stuart Douglas

### Field Summary

### Fields inherited from class io.undertow.websockets.core.protocol.version07.Hybi07Handshake

`MAGIC_NUMBER`

### Fields inherited from class io.undertow.websockets.core.protocol.Handshake

`allowExtensions, availableExtensions, subprotocols`

### Constructor Summary

Constructors
Constructor and Description
`Hybi13Handshake()`
`Hybi13Handshake(Set<String> subprotocols, boolean allowExtensions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WebSocketChannel` `createChannel(WebSocketHttpExchange exchange, org.xnio.StreamConnection channel, ByteBufferPool pool)` Create the `WebSocketChannel` from the `WebSocketHttpExchange`
`protected void` `handshakeInternal(WebSocketHttpExchange exchange)`

### Methods inherited from class io.undertow.websockets.core.protocol.version07.Hybi07Handshake

`matches, solve`

### Methods inherited from class io.undertow.websockets.core.protocol.Handshake

`addExtension, getHashAlgorithm, getMagicNumber, getVersion, getWebSocketLocation, handshake, initExtensions, performUpgrade, performUpgrade, selectedExtension, selectExtensions, selectSubprotocol, supportedSubprotols, upgradeChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Hybi13Handshake

    public Hybi13Handshake()

#### Hybi13Handshake

    public Hybi13Handshake(Set<String> subprotocols,
                           boolean allowExtensions)

### Method Detail

#### handshakeInternal

    protected void handshakeInternal(WebSocketHttpExchange exchange)

Overrides:
  `handshakeInternal` in class `Hybi07Handshake`

#### createChannel

    public WebSocketChannel createChannel(WebSocketHttpExchange exchange,
                                          org.xnio.StreamConnection channel,
                                          ByteBufferPool pool)

Description copied from class: `Handshake`
Create the `WebSocketChannel` from the `WebSocketHttpExchange`

Overrides:
  `createChannel` in class `Hybi07Handshake`